Skip to content

List Services

GET
/businesses/{businessId}/services
curl --request GET \
--url https://api.upvio.com/v1/businesses/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/services \
--header 'Authorization: Bearer <token>'

List Services within a Business

businessId
required
string format: uuid

Business ID

List of Services

Media type application/json
object
data
Array<object>
Service
object
id

Unique identifier across the platform.

string format: uuid
createdAt

Time when the resource was created (ISO 8601 format).

string format: date-time
updatedAt

Time when the resource was created (ISO 8601 format).

string format: date-time
alias

The unique alias for this service.

string
nullable
name
required

The service name.

string
description

The service description.

string
nullable
bookingURL

The URL for patients to book this service.

string format: url
enabled

Disabled services cannot be used across the platform.

boolean
nullable
staffsIds

The list of staff members ids that provide this service. An empty array means this service is provided by all staff members in the business.

Array<string>
additionalStaffIds

Optional extra Staff Members that can provide this service for group bookings.

Array<string>
categoriesIds

Categories that this service belongs to.

Array<string>
leadTime

Determines the number of minutes in advance that customers can book or reschedule an appointment.

number
nullable
cancelLeadTime

Determines the number of minutes in advance that customers can cancel an appointment.

number
nullable
timeIncrement

Determines the intervals between appointments. An interval of 15 minutes, for example, means a customer could schedule an appointment at 8:00, 8:15, 8:30, and so on.

number
nullable
availabilityLimitDays

The maximum amount of days of availability to be listed when booking.

number
nullable
location

Embedded location details

object
id

Unique identifier across the platform.

string format: uuid
name

The name of the location.

string
address

The address of the location.

string
locationType

The type of location that this service is provided at.

string
nullable
locationValue

The location that this service is provided at.

string
nullable
currency

The currency that this service is priced in.

string
nullable
durations
required

Durations that this service can be booked for.

Array<object>
object
duration
required
number
price
required
number
bookingsRequireApproval

Whether bookings for this service require approval.

boolean
nullable
bookingsPerTimeslot

Determines the maximum amount of bookings that can be made per timeslot for this service.

number
nullable
bufferBeforeMinutes

Minutes of free time required before the start of new bookings for this service

number
nullable
bufferAfterMinutes

Minutes of free time required after the end of new bookings for this service

number
nullable
Example
{
"data": [
{
"alias": "gp-consultation",
"name": "GP Consultation",
"leadTime": 30,
"cancelLeadTime": 60,
"timeIncrement": 30,
"locationType": "meet",
"currency": "USD",
"durations": [
{
"duration": 30,
"price": 0
}
],
"bookingsRequireApproval": false,
"bookingsPerTimeslot": 1,
"bufferBeforeMinutes": 30,
"bufferAfterMinutes": 30
}
]
}